%define upstream_name	 HTML-FillInForm
%define upstream_version 2.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Populates HTML Forms with data
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) >= 3.260.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module automatically inserts data from a previous HTML form into the HTML
input, textarea, radio buttons, checkboxes and select tags.  It is a subclass
of HTML::Parser and uses it to parse the HTML and insert the values into the
form tags.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/HTML


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.100.0-2.mga3
+ Revision: 367997
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 136598
- adding missing buildrequires:
- update to 2.1

* Wed Jan 19 2011 jquelin <jquelin> 2.0.0-5.mga1
+ Revision: 23864
- cleaning spec file
- imported package perl-HTML-FillInForm

